package com.supplier.mapper;

import com.supplier.model.SupplierRelease;
import com.supplier.model.SupplierReleaseDay;
import com.supplier.model.SupplierReleasePlay;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface TemplateMapper {
    void addRelease(SupplierRelease supplierRelease);

    void addReleasePlay(SupplierReleasePlay supplierReleasePlay);

    void addReleaseDay(SupplierReleaseDay supplierReleaseDay);

    void delSupplierReleasePlay(SupplierRelease supplierRelease);

    void delSupplierReleaseDay(SupplierRelease supplierRelease);

    void updateSupplierRelease(SupplierRelease supplierRelease);

    List<SupplierReleasePlay> getSupplierReleasePlay(String uuid);

    List<SupplierReleaseDay> getSupplierReleaseDay(String uuid);

    List<SupplierRelease> getSupplierRelease(SupplierRelease supplierRelease);
}
